import request from '@/utils/request'

// 查询漏点清单列表
export function listPoints(query) {
  return request({
    url: '/asset/points/list',
    method: 'get',
    params: query
  })
}

// 查询漏点清单详细
export function getPoints(id) {
  return request({
    url: '/asset/points/' + id,
    method: 'get'
  })
}

// 新增漏点清单
export function addPoints(data) {
  return request({
    url: '/asset/points',
    method: 'post',
    data: data
  })
}

// 修改漏点清单
export function updatePoints(data) {
  return request({
    url: '/asset/points',
    method: 'put',
    data: data
  })
}

// 删除漏点清单
export function delPoints(id) {
  return request({
    url: '/asset/points/' + id,
    method: 'delete'
  })
}
